﻿
@{
    ViewData["Title"] = "مشاوره آنلاین";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<CounselorCategory>()
           .Name("grid")
           .Events(e => e.Edit("Edit"))
           .Columns(columns =>
           {

               columns.Bound(c => c.Name);
               columns.Bound(c => c.EnglishName);
               columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
           })
          .ToolBar(toolbar =>
          {
              toolbar.Create().Text("افزودن گروه");
          })
          .ColumnMenu()

          .Editable(editable =>
          {
              editable.Mode(GridEditMode.PopUp);
              editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
          }
          )
          .Pageable(pageable => pageable
               .Refresh(true)
               .PageSizes(true)
               .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
               .PageSizes(new int[] { 10, 20, 30 }))
          .Navigatable()
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Sortable(sortable =>
          {
              sortable.SortMode(GridSortMode.SingleColumn);
          })
          .Filterable()
          .ClientDetailTemplateId("details")
          .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Events(e => e.Error("Error"))
              .Sort(sort => sort.Add("CounselorCategoryID").Descending())
              .Model(model => model.Id(p => p.CounselorCategoryID))
              .Read(read => read.Action("CounselorCategory_Read", "CounselorCategory" , new { _ParentID = "#=CounselorCategoryID#" }))
              .Create(create => create.Action("CounselorCategory_Create", "CounselorCategory" , new { _ParentID = "#=CounselorCategoryID#" }))
              .Update(update => update.Action("CounselorCategory_Update", "CounselorCategory"))
              .Destroy(destroy => destroy.Action("CounselorCategory_Destroy", "CounselorCategory"))
          )
        )
    </div>
</div>

<script id="details" type="text/kendo-tmpl">
    @(Html.Kendo().Grid<CounselorCategory>()
           .Name("detailgrid_#=CounselorCategoryID#")
           .Events(e => e.Edit("Edit"))
           .Columns(columns =>
           {

               columns.Bound(c => c.Name);
               columns.Bound(c => c.EnglishName);
               columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
           })
          .ToolBar(toolbar =>
          {
              toolbar.Create().Text("افزودن زیر گروه");
          })
          .ColumnMenu()

          .Editable(editable =>
          {
              editable.Mode(GridEditMode.PopUp);
              editable.DisplayDeleteConfirmation("آیا از حذف این مورد اطمینان دارید ؟ ");
          }
          )
          .Navigatable()
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Events(e => e.Error("Error"))
              .Sort(sort => sort.Add("CounselorCategoryID").Descending())
              .Model(model => model.Id(p => p.CounselorCategoryID))
              .Read(read => read.Action("CounselorCategory_Read", "CounselorCategory" , new { _ParentID = "#=CounselorCategoryID#" }))
              .Create(create => create.Action("CounselorCategory_Create", "CounselorCategory" , new { _ParentID = "#=CounselorCategoryID#" }))
              .Update(update => update.Action("CounselorCategory_Update", "CounselorCategory"))
              .Destroy(destroy => destroy.Action("CounselorCategory_Destroy", "CounselorCategory"))
          ).ToClientTemplate()
    )
</script>

<script>
   
    function Edit(e) {
   
        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن گروه"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش گروه"
            });
        }
        
    }
  
    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }
   
</script>



